#!/bin/sh

export basedir=/home/syjy/ipfcstV3

chmod -R 777 $basedir

cd $basedir/jdk

tar -zxvf jdk-8u261-linux-x64.tar.gz

if test -e /home/syjy/patch.zip
	then
	cd /home/syjy
	unzip -o patch.zip
fi

cp -f $basedir/settings/console /etc/init.d/
cp -f $basedir/settings/reportquery /etc/init.d/

chmod 777 /etc/init.d/console
chmod 777 /etc/init.d/reportquery

if test -x /usr/lib/systemd/system
	then
	cp -f $basedir/settings/console.service /usr/lib/systemd/system
	cp -f $basedir/settings/reportquery.service /usr/lib/systemd/system

	chmod 777 /usr/lib/systemd/system/console.service
	chmod 777 /usr/lib/systemd/system/reportquery.service

	systemctl daemon-reload
	systemctl enable console
	systemctl enable reportquery

	else
	chkconfig console on
	chkconfig reportquery on
fi

service console start
service reportquery start

echo "Installation is complete!"
